<html>
<head>
<title>OGRE: Class Members - Functions - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_func.html#index__"><span>_</span></a></li>
    <li><a href="functions_func_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
    <li class="current"><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_func_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
<li>EdgeListBuilder()
: <a class="el" href="classOgre_1_1EdgeListBuilder.html#cf52bd519947f6f8305df1bec3247dd2">Ogre::EdgeListBuilder</a>
<li>EigenSolveSymmetric()
: <a class="el" href="classOgre_1_1Matrix3.html#050ec131b1f7d0fbe11ddf06133478b9">Ogre::Matrix3</a>
<li>Element()
: <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#6adcf21703362c7ed164b19441b83b3a">Ogre::BillboardChain::Element</a>
<li>enableClipPlane()
: <a class="el" href="classOgre_1_1RenderSystem.html#38ce5ab7c10173b20741a62378b82de1">Ogre::RenderSystem</a>
<li>enableCustomNearClipPlane()
: <a class="el" href="classOgre_1_1Frustum.html#0ff11b663fee9d124afbf10f3413c0ce">Ogre::Frustum</a>
<li>enableProfile()
: <a class="el" href="classOgre_1_1Profiler.html#52e2f0d3530febbbf7199173d91ad4e2">Ogre::Profiler</a>
<li>enableReflection()
: <a class="el" href="classOgre_1_1Frustum.html#4b17dfa5a88d1f46cc9b0cc642e5a6a4">Ogre::Frustum</a>
<li>encode()
: <a class="el" href="classOgre_1_1FreeImageCodec.html#35134df0c9228097385e16eba9cea8d2">Ogre::FreeImageCodec</a>
<li>end()
: <a class="el" href="classOgre_1_1ManualObject.html#49d6bfe460ff1e0178c6d77b95d3dc5a">Ogre::ManualObject</a>
, <a class="el" href="classOgre_1_1ParticleIterator.html#11eb0d89627f9aa38052a77f50c6081d">Ogre::ParticleIterator</a>
<li>endBillboards()
: <a class="el" href="classOgre_1_1BillboardSet.html#99d782a5d4c290bf6d4c29a41ff4bfc4">Ogre::BillboardSet</a>
<li>endOcclusionQuery()
: <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#ae324a11ce1f97199024d1ee38a297c2">Ogre::HardwareOcclusionQuery</a>
<li>endProfile()
: <a class="el" href="classOgre_1_1Profiler.html#566da4faffe1302c754596b980114e24">Ogre::Profiler</a>
<li>endSection()
: <a class="el" href="classOgre_1_1MaterialSerializer.html#df543cc3f4c912ef1035f07cc542d78b">Ogre::MaterialSerializer</a>
<li>endsWith()
: <a class="el" href="classOgre_1_1StringUtil.html#437e513c495d222d3aca1477cddfb6bf">Ogre::StringUtil</a>
<li>ensureLoaded()
: <a class="el" href="classOgre_1_1TextureUnitState.html#06235b902bdc4d036ed4829af0d0c5f7">Ogre::TextureUnitState</a>
<li>ensureShadowTexturesCreated()
: <a class="el" href="classOgre_1_1SceneManager.html#901dc44fa7930877825f7be4b43006cd">Ogre::SceneManager</a>
<li>Entity()
: <a class="el" href="classOgre_1_1Entity.html#46450fa419de7cb1d208ab356e390aef">Ogre::Entity</a>
<li>EntityFactory()
: <a class="el" href="classOgre_1_1EntityFactory.html#400c13551743727d539d33e1899e2a94">Ogre::EntityFactory</a>
<li>EntityShadowRenderable()
: <a class="el" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#57fc4a0c89c802f567a6af837454ea14">Ogre::Entity::EntityShadowRenderable</a>
<li>eof()
: <a class="el" href="classOgre_1_1DataStream.html#81d740638618913333324663b2edb519">Ogre::DataStream</a>
, <a class="el" href="classOgre_1_1MemoryDataStream.html#79d9420839d7cac9a28c96cb9153b63c">Ogre::MemoryDataStream</a>
, <a class="el" href="classOgre_1_1FileStreamDataStream.html#2a2e826a7aae20b360255a1b14838afc">Ogre::FileStreamDataStream</a>
, <a class="el" href="classOgre_1_1FileHandleDataStream.html#f1cbf779ef50f4b7439f1f83a4107f6f">Ogre::FileHandleDataStream</a>
, <a class="el" href="classOgre_1_1ZipDataStream.html#36245b12aaada8ee44abe53b418cc99c">Ogre::ZipDataStream</a>
<li>equals()
: <a class="el" href="classOgre_1_1Quaternion.html#2967ddfe51904c9bff1b68eb3e39f0e5">Ogre::Quaternion</a>
<li>ErrorDialog()
: <a class="el" href="classOgre_1_1ErrorDialog.html#2bc61f9ef62e3b8bc45bb108974870fc">Ogre::ErrorDialog</a>
<li>escalateLoading()
: <a class="el" href="classOgre_1_1Resource.html#4a423d5fcac9fce32bf1c497653cd2ac">Ogre::Resource</a>
, <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram.html#8b5b9e6fec77dfc8d7fde8eb8bf07dd9">Ogre::UnifiedHighLevelGpuProgram</a>
<li>estimateIndexCount()
: <a class="el" href="classOgre_1_1ManualObject.html#59153e5ecd0f694c9ef143ad57ae082f">Ogre::ManualObject</a>
<li>estimateVertexCount()
: <a class="el" href="classOgre_1_1ManualObject.html#9448c472c45235366231ec1a6e4e5b73">Ogre::ManualObject</a>
<li>estimateWorldGeometry()
: <a class="el" href="classOgre_1_1SceneManager.html#1257fd328d54908eeb45398b3191f92b">Ogre::SceneManager</a>
<li>eventOccurred()
: <a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#afc262fea83eae3a360aeb16d1cc7ef9">Ogre::RenderSystem::Listener</a>
<li>Exception()
: <a class="el" href="classOgre_1_1Exception.html#dc5a5e5eb027cdd0591566d2518cc3fd">Ogre::Exception</a>
<li>ExceptionFactory()
: <a class="el" href="classOgre_1_1ExceptionFactory.html#c4da3f535cd552d055b53cb041b721e4">Ogre::ExceptionFactory</a>
<li>execute()
: <a class="el" href="classOgre_1_1RaySceneQuery.html#e970c405851a2725dc7341dcddc4534e">Ogre::RaySceneQuery</a>
, <a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html#71298b4165d15e5e4abf5239690d09ab">Ogre::CompositorInstance::RenderSystemOperation</a>
, <a class="el" href="classOgre_1_1DefaultIntersectionSceneQuery.html#e14c15e1a2630b4a45dd3a9ee8eb2d45">Ogre::DefaultIntersectionSceneQuery</a>
, <a class="el" href="classOgre_1_1DefaultRaySceneQuery.html#f653e97b901d83ccc38446fedf5f9885">Ogre::DefaultRaySceneQuery</a>
, <a class="el" href="classOgre_1_1DefaultSphereSceneQuery.html#b2ce328ff825042d30b4604588b645a3">Ogre::DefaultSphereSceneQuery</a>
, <a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html#a4e94ff73decaf0fa57ba229c4c5ad9e">Ogre::DefaultPlaneBoundedVolumeListSceneQuery</a>
, <a class="el" href="classOgre_1_1DefaultAxisAlignedBoxSceneQuery.html#292facff73bd8bae34c7a911f7e349ac">Ogre::DefaultAxisAlignedBoxSceneQuery</a>
, <a class="el" href="classOgre_1_1RegionSceneQuery.html#982dda57528c3a3ccaa4d577335ed87c">Ogre::RegionSceneQuery</a>
, <a class="el" href="classOgre_1_1RaySceneQuery.html#d5087789b2926c64033a6bc61f78476c">Ogre::RaySceneQuery</a>
, <a class="el" href="classOgre_1_1IntersectionSceneQuery.html#dd0f09a97807ed6f41d2968a8142b753">Ogre::IntersectionSceneQuery</a>
<li>executeTokenAction()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#97c879b5c3681efffc64b0d8cfefd9c2">Ogre::Compiler2Pass</a>
, <a class="el" href="classOgre_1_1MaterialScriptCompiler.html#d354243c994fcc4bd8ac527246c629e9">Ogre::MaterialScriptCompiler</a>
, <a class="el" href="classOgre_1_1CompositorScriptCompiler.html#6772f326e04683b7df481891fd93a4d2">Ogre::CompositorScriptCompiler</a>
, <a class="el" href="classOgre_1_1MaterialScriptCompiler.html#d354243c994fcc4bd8ac527246c629e9">Ogre::MaterialScriptCompiler</a>
<li>exists()
: <a class="el" href="classOgre_1_1ZipArchive.html#0669dc93ae746f6070c44bba2f94594e">Ogre::ZipArchive</a>
, <a class="el" href="classOgre_1_1FileSystemArchive.html#fa703d83c696b6b78dc7efe8114e468e">Ogre::FileSystemArchive</a>
, <a class="el" href="classOgre_1_1Archive.html#dee2a6cd49a969e4329ea41eaa27e861">Ogre::Archive</a>
<li>Exp()
: <a class="el" href="classOgre_1_1Math.html#34452ad868e46e1c9a6b5202f612b390">Ogre::Math</a>
, <a class="el" href="classOgre_1_1Quaternion.html#fa5a360df739f21929b2359276c2a9a5">Ogre::Quaternion</a>
<li>exportMaterial()
: <a class="el" href="classOgre_1_1MaterialSerializer.html#c1cdd046dfbeb820332d66a0dfaee95c">Ogre::MaterialSerializer</a>
<li>exportMesh()
: <a class="el" href="classOgre_1_1MeshSerializer.html#4de99d7b747bb944b269df88c2b169db">Ogre::MeshSerializer</a>
, <a class="el" href="classOgre_1_1MeshSerializerImpl.html#1bc27ac6fbb500ff4454f44bd39398ad">Ogre::MeshSerializerImpl</a>
<li>exportQueued()
: <a class="el" href="classOgre_1_1MaterialSerializer.html#ad0415f95d43e60cce716cd3cca59739">Ogre::MaterialSerializer</a>
<li>exportSkeleton()
: <a class="el" href="classOgre_1_1SkeletonSerializer.html#e5130f00711c157d7c29d0793122f0ba">Ogre::SkeletonSerializer</a>
<li>extend()
: <a class="el" href="classOgre_1_1ConvexBody.html#b281318edcb6f9438693caecf718616c">Ogre::ConvexBody</a>
<li>ExternalTextureSource()
: <a class="el" href="classOgre_1_1ExternalTextureSource.html#0e34ec6e53b5700a266933002bc79304">Ogre::ExternalTextureSource</a>
<li>ExternalTextureSourceManager()
: <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#fb679d92039ce0c47a43aba93cda77cd">Ogre::ExternalTextureSourceManager</a>
<li>extract3x3Matrix()
: <a class="el" href="classOgre_1_1Matrix4.html#7c32a3b5d7675181995e917f66c18b69">Ogre::Matrix4</a>
<li>extractAllMovableObjectsByType()
: <a class="el" href="classOgre_1_1SceneManager.html#1c55f5e97c66261de71c979db64f6355">Ogre::SceneManager</a>
<li>extractCompareFunc()
: <a class="el" href="classOgre_1_1CompositorScriptCompiler.html#72f3cc9dea61e3eb2903d36798001802">Ogre::CompositorScriptCompiler</a>
<li>extractFrom()
: <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#b50304382d76b0276e63fde8225d52ab">Ogre::TempBlendedBufferInfo</a>
<li>extractMovableObject()
: <a class="el" href="classOgre_1_1SceneManager.html#874431ce04c34fa6dcbdb2ed1420b168">Ogre::SceneManager</a>
<li>extractNonTerminal()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#ddf11daf4a1237b0fd80d0fdd38d6291">Ogre::Compiler2Pass</a>
<li>extractNumericConstant()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#b6df718664763f15e5e1557bddcde4aa">Ogre::Compiler2Pass</a>
<li>extractQuaternion()
: <a class="el" href="classOgre_1_1Matrix4.html#e66aaed3ab33c1f2a9862bc21dde0608">Ogre::Matrix4</a>
<li>extractSet()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#2423920df544e34980d345fd89735773">Ogre::Compiler2Pass</a>
<li>extractStencilOp()
: <a class="el" href="classOgre_1_1CompositorScriptCompiler.html#19c5825138fbcdb64c8a4e2eab96c9a6">Ogre::CompositorScriptCompiler</a>
<li>extractTempBufferInfo()
: <a class="el" href="classOgre_1_1Entity.html#27c758b9abd17432c666b35760c0e883">Ogre::Entity</a>
<li>extractTerminal()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#ac4585b21be133eb34018abbfc627237">Ogre::Compiler2Pass</a>
<li>extrudeBounds()
: <a class="el" href="classOgre_1_1ShadowCaster.html#136dfd54b581a6dc58a1796a1cdf6cdc">Ogre::ShadowCaster</a>
<li>extrudeVertices()
: <a class="el" href="classOgre_1_1OptimisedUtil.html#5b411cfc1b916483d75df4f4f9c86252">Ogre::OptimisedUtil</a>
, <a class="el" href="classOgre_1_1ShadowCaster.html#cae2215c051989d544f34083a0a9bfa2">Ogre::ShadowCaster</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
